Last Comment Bug 580484 - Bad threading on test results from try server
: Bad threading on test results from try server
Status: RESOLVED WORKSFORME
:
Product: Release Engineering
Classification: Other
Component: General (show other bugs)
: other
: x86_64 Linux
P5 normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
: Chris AtLee [:catlee]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-20 19:00 PDT by Steve Fink [:sfink] [:s:]
Modified: 2013-08-12 21:54 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description User image Steve Fink [:sfink] [:s:] 2010-07-20 19:00:47 PDT
I pushed 7b9073ebcc28 to the try server yesterday and am getting flooded with Windows 5.2 test results. I think I have > 170 total results right now, and it looks like I'm getting a complete set of test results for every Windows build slave.

Here are two example emails:

Your Try Server test (4edfbc094b95) was successfully completed on win32 on builder: WINNT 5.2 tryserver debug test mochitests-5/5.

It should be available for download at http://ftp.mozilla.org/pub/mozilla.org/firefox/tryserver-builds/sfink@mozilla.com-4edfbc094b95

Summary of test results:
TinderboxSummaryMessage: s: try-w32-slave26
mochitest-plain-5: 17770/0/19

Visit http://tinderbox.mozilla.org/showbuilds.cgi?tree=MozillaTry to view the full logs.

---------------------------------------------------------------

Your Try Server test (f8f9c5523fcd) was successfully completed on win32 on builder: WINNT 5.2 tryserver debug test mochitests-5/5.

It should be available for download at http://ftp.mozilla.org/pub/mozilla.org/firefox/tryserver-builds/sfink@mozilla.com-f8f9c5523fcd

Summary of test results:
TinderboxSummaryMessage: s: try-w32-slave19
mochitest-plain-5: 17770/0/19

Visit http://tinderbox.mozilla.org/showbuilds.cgi?tree=MozillaTry to view the full logs.
Comment 1 User image Steve Fink [:sfink] [:s:] 2010-07-20 19:23:57 PDT
Oh. I just noticed that these are all for different commits. Um, never mind -- except why are they all threading together? I still have all try server threads open in tbird, and all of these winnt 5.2 builds are ending up under one thread.

I guess these build slaves got unblocked or enabled recently, and they're working through a monster backlog??
Comment 2 User image Steve Fink [:sfink] [:s:] 2010-07-20 19:34:44 PDT
Ah. The References: and In-Reply-To: headers for all of these builds are set to "<tryserver-unknown>".
Comment 3 User image bhearsum@mozilla.com (:bhearsum) 2010-07-23 14:25:47 PDT
Sucks, but I think this is low priority.
Comment 4 User image Steve Fink [:sfink] [:s:] 2011-09-09 22:13:56 PDT
I haven't seen this in ages, so I no longer care even if it hasn't been fixed.

Note You need to log in before you can comment on or make changes to this bug.